bitel.billing.server.cerbercrypt.bean

## Class StatusEventManager

- java.lang.Object
- - bitel.billing.server.cerbercrypt.bean.StatusEventManager

- Deprecated.
  use ru.bitel.bgbilling.modules.cerbercrypt.server.bean.StatusEventManager

      @Deprecated
      public class StatusEventManager
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StatusEventManager(java.sql.Connection con, int mid)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addEvent(CardPacket cardPacket, StatusEvent event)` Deprecated. Добавление события
    `void` | `deleteEvent(int cardPacketId, java.util.Calendar date)` Deprecated.
    `java.util.List<StatusEvent>` | `getEvents(int cardPacketID)` Deprecated. Возвращает события картапакета
    `java.util.List<StatusEvent>` | `getEvents(int cardPacketID, java.util.Calendar fromDate)` Deprecated. Возвращает события после определенной даты
    `StatusEvent` | `getLastEventBefore(int cardPacketID, java.util.Calendar date)` Deprecated. Получение последнего события до определенной даты включительно.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StatusEventManager

          public StatusEventManager(java.sql.Connection con,
                                    int mid)

      Deprecated.

  - ### Method Detail

    - #### getEvents

          public java.util.List<StatusEvent> getEvents(int cardPacketID,
                                                       java.util.Calendar fromDate)

      Deprecated.
      Возвращает события после определенной даты
      Parameters:
        `cardPacketID` - - для какого картапакета
        `fromDate` - - начало месяца

    - #### getEvents

          public java.util.List<StatusEvent> getEvents(int cardPacketID)

      Deprecated.
      Возвращает события картапакета
      Parameters:
        `cardPacketID` - - для какого картапакета

    - #### getLastEventBefore

          public StatusEvent getLastEventBefore(int cardPacketID,
                                                java.util.Calendar date)
                                         throws ru.bitel.bgbilling.common.BGException

      Deprecated.
      Получение последнего события до определенной даты включительно.
      Parameters:
        `cardPacketID` - ид картпакета
        `date` - дата нужная
      Returns:
        StatusEvent
      Throws:
        `ru.bitel.bgbilling.common.BGException` - ошибки БД

    - #### addEvent

          public void addEvent(CardPacket cardPacket,
                               StatusEvent event)

      Deprecated.
      Добавление события
      Parameters:
        `event` -

    - #### deleteEvent

          public void deleteEvent(int cardPacketId,
                                  java.util.Calendar date)

      Deprecated.